Skip to main content
POST
Verify FSSAI

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if two-factor authentication is selected as Public Key. More details.

Body

application/json

Find the request parameters to retrieve the FSSAI licence or registration information.

verification_id
string
default:tfqgzsXu3Z
required

It is the unique ID you create to identify the API request. The maximum character limit is 50. Alphanumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.

Example:

"tfqgzsXu3Z"

fssai_number
string
default:10121002000677
required

It is the 14-digit licence or registration number issued by the Food Safety and Standards Authority of India (FSSAI).

Example:

"10121002000677"

Response

Success response for retrieving the FSSAI licence or registration information.

verification_id
string

It displays the unique ID you created to identify the API request.

Example:

"tfqgzsXu3Z"

reference_id
integer

It displays the unique ID created by Cashfree for reference purposes. format: int64

Example:

3478291

status
string

It displays the status of the FSSAI information. Possible values are VALID (the FSSAI number is valid) and INVALID (the FSSAI number is invalid).

Example:

"VALID"

fssai_number
string

It displays the entered FSSAI licence or registration number.

Example:

"10121002000677"

business_name
string

It displays the name of the food business operator.

Example:

"SUNRISE FOODS PRIVATE LIMITED"

license_type
string

It displays the licence category. Possible values are Registration, State License, and Central License.

Example:

"State License"

license_active_flag
boolean

It displays whether the licence is currently active.

Example:

true

fbo_id
string

It displays the unique identifier of the food business operator.

Example:

"1234567"

address
string

It displays the premise address of the food business operator.

Example:

"M-01 & 02, Ground Floor, District Center, Saket"

village
string

It displays the village of the premise.

Example:

"Saket"

taluk
string

It displays the sub-district (taluk) of the premise.

Example:

"South Delhi"

district
string

It displays the district of the premise.

Example:

"South"

state
string

It displays the state of the premise.

Example:

"Delhi"

pincode
string

It displays the pincode of the premise.

Example:

"110017"

products
object[]

It displays the list of products or business categories permitted under the licence. The object shape varies by license_type: product_id is present only for Registration, and kind_of_business_id and kind_of_business_category are present only for State License and Central License.